Commit b4e38ed3 authored by Kipp Cannon's avatar Kipp Cannon Committed by Chad Hanna

gstlal, gstlal-ugly, gstlal-inspiral: require numpy >= 1.7

parent 1c65eaeb
......@@ -230,6 +230,7 @@ to your GI_TYPELIB_PATH environment variable.])
#
AC_SUBST([MIN_NUMPY_VERSION], [1.7.0])
AX_PYTHON_MODULE(numpy, fatal)
NUMPY_CFLAGS=-I`$PYTHON -c "import numpy;print (numpy.get_include());"`
old_CFLAGS="$CFLAGS"
......
......@@ -51,7 +51,7 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
python-ligo-gracedb (>= 1.11),
python-ligo-lw (>= @MIN_LIGO_LW_VERSION@),
python-ligo-segments (>= @MIN_LIGO_SEGMENTS_VERSION@),
python-numpy,
python-numpy (>= @MIN_NUMPY_VERSION@),
python-scipy
Description: GStreamer for GW data analysis (inspiral parts)
This package provides a variety of gstreamer elements for
......
......@@ -18,7 +18,7 @@ Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-bad-free
Requires: h5py
Requires: numpy
Requires: numpy >= @MIN_NUMPY_VERSION@
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lal-python >= @MIN_LAL_VERSION@
......
......@@ -283,6 +283,7 @@ to your GI_TYPELIB_PATH environment variable.])
#
AC_SUBST([MIN_NUMPY_VERSION], [1.7.0])
AX_PYTHON_MODULE(numpy, fatal)
NUMPY_CFLAGS=-I`$PYTHON -c "import numpy;print (numpy.get_include());"`
old_CFLAGS="$CFLAGS"
......
......@@ -29,7 +29,7 @@ Build-Depends:
python-all-dev (>= @MIN_PYTHON_VERSION@),
python-glue (>= @MIN_GLUE_VERSION@),
python-glue-ligolw-tools,
python-numpy
python-numpy (>= @MIN_NUMPY_VERSION@)
Package: gstlal-ugly
Architecture: any
......@@ -54,7 +54,7 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
python-h5py,
python-ligo-lw (>= @MIN_LIGO_LW_VERSION@),
python-ligo-segments (>= @MIN_LIGO_SEGMENTS_VERSION@),
python-numpy,
python-numpy (>= @MIN_NUMPY_VERSION@),
python-scipy
Description: GStreamer for GW data analysis (in-development parts)
This package provides a variety of GStreamer elements for
......
......@@ -18,7 +18,7 @@ Requires: %{gstreamername}-plugins-base >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-good >= @MIN_GSTREAMER_VERSION@
Requires: %{gstreamername}-plugins-bad-free
Requires: h5py
Requires: numpy
Requires: numpy >= @MIN_NUMPY_VERSION@
Requires: scipy
Requires: lal >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
......
......@@ -289,6 +289,7 @@ fi
#
AC_SUBST([MIN_NUMPY_VERSION], [1.7.0])
AX_PYTHON_MODULE(numpy, fatal)
NUMPY_CFLAGS=-I`$PYTHON -c "import numpy;print (numpy.get_include());"`
old_CFLAGS="$CFLAGS"
......
......@@ -28,7 +28,7 @@ Build-Depends:
pkg-config,
python-all-dev (>= @MIN_PYTHON_VERSION@),
python-gi-dev (>= @MIN_PYGOBJECT_VERSION@),
python-numpy-dev,
python-numpy-dev (>= @MIN_NUMPY_VERSION@),
zlib1g-dev
Package: gstlal
......@@ -65,7 +65,7 @@ Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
python-gst-1.0,
python-ligo-lw (>= @MIN_LIGO_LW_VERSION@),
python-ligo-segments (>= @MIN_LIGO_SEGMENTS_VERSION@),
python-numpy,
python-numpy (>= @MIN_NUMPY_VERSION@),
python-scipy,
zlib1g
# FIXME: gstreamer1.0-python3-plugin-loader is *in fact* a dependency, but
......
......@@ -30,7 +30,7 @@ Requires: lalburst >= @MIN_LALBURST_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: lalinspiral >= @MIN_LALINSPIRAL_VERSION@
Requires: lalsimulation >= @MIN_LALSIMULATION_VERSION@
Requires: numpy
Requires: numpy > @MIN_NUMPY_VERSION@
Requires: orc >= @MIN_ORC_VERSION@
Requires: python >= @MIN_PYTHON_VERSION@
Requires: python-%{gstreamername}
......@@ -53,7 +53,7 @@ BuildRequires: lalburst-devel >= @MIN_LALBURST_VERSION@
BuildRequires: lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
BuildRequires: lalsimulation-devel >= @MIN_LALSIMULATION_VERSION@
BuildRequires: numpy
BuildRequires: numpy >= @MIN_NUMPY_VERSION@
BuildRequires: orc >= @MIN_ORC_VERSION@
BuildRequires: python-devel >= @MIN_PYTHON_VERSION@
# needed for gstpythonplugin.c remove when we remove that plugin from gstlal
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment